{ inputs, pkgs, ... }:
let
  firefox-policies = {
    AutofillAddressEnabled = true;
    AutofillCreditCardEnabled = false;
    DisableAppUpdate = true;
    DisableFeedbackCommands = true;
    DisableFirefoxStudies = true;
    DisablePocket = true; # save webs for later reading
    DisableTelemetry = true;
    DontCheckDefaultBrowser = true;
    NoDefaultBookmarks = true;
    OfferToSaveLogins = false;
  };
in
{

  imports = [ inputs.zen-browser.homeModules.twilight ];

  programs = {
    zen-browser = {
      enable = true;
      # policies = firefox-policies;
    };

    librewolf = {
      enable = true;
      # policies = firefox-policies;
    };

    chromium = {
      enable = true;
      package = pkgs.ungoogled-chromium;
    };
  };
}
